Subject: Re: [PATCH] gfs2: remove nameidata arg from gfs_iop_permission

From: Al Viro <[email-masked]>
Date: Fri, 18 Jul 2008 19:04:29 +0100

On Fri, Jul 18, 2008 at 10:30:10AM -0700, Harvey Harrison wrote:

> > Er?  Commit c0beafa477f3f59d0f27c477f9b7f97498f2f96a kills the function
> > completely; what tree are you working with?
> 
> next-20080717 still had it, this was a response to my e-mail from
> yesterday noting new sparse warnings.  Hence the, appeared between...
> 
> If it's gone today, then no worries.

Joy.  A mismerge, with Miklos' patch applied both in gfs2 and vfs trees,
with vfs one containing a patch on top of that.  Parts of the latter patch
in fs/gfs2/ got dropped at merge in linux-next...